Bug 47523 - anaconda not parsing ks.cfg correctly
anaconda not parsing ks.cfg correctly
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: anaconda (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-05 17:35 EDT by Mike Sklar
Modified: 2007-04-18 12:34 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-16 16:08:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Sklar 2001-07-05 17:35:41 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.2) Gecko/20010701

Description of problem:

Running anaconda - please wait...
Probing for video card:   ATI Mach64
Probing for monitor type: Unable to probe
Probing for mouse type:   Generic - 3 Button Mouse (PS/2)
lang en_US

network --bootproto static --ip 144.14.217.215 --netmask 255.255.255.128
--gateway 144.14.217.129 -
-nameserver 144.14.36.134

nfs --server 144.14.36.223 --dir /vol/vol2/home/distributions/rawhide

device ethernet 3c90x

keyboard "us"


zerombr yes

Traceback (innermost last):
  File "/usr/bin/anaconda", line 530, in ?
    instClass.setInstallData(id)
  File "/usr/lib/anaconda/kickstart.py", line 708, in setInstallData
    self.readKickstart(id, self.file)
  File "/usr/lib/anaconda/kickstart.py", line 537, in readKickstart
    handlers[args[0]](id, args[1:])
TypeError: too many arguments; expected 2, got 3
install exited abnormally 
sending termination signals...done
sending kill signals...done
disabling swap...
unmounting filesystems...
        /mnt/runtime done
        disabling /dev/loop0
        /proc/bus/usb done
        /proc done
        /dev/pts done
        /mnt/source umount failed (16)
you may safely reboot your system


How reproducible:
Always

Steps to Reproduce:
1. use my ks.cfg

---

lang en_US
network --bootproto static --ip 144.14.217.215 --netmask 255.255.255.128
--gatew
ay 144.14.217.129 --nameserver 144.14.36.134
nfs --server 144.14.36.223 --dir /vol/vol2/home/distributions/rawhide
device ethernet 3c90x
keyboard "us"
zerombr yes
install
firewall --disabled
clearpart --all
part /boot --size 15
part / --size 300
part /var --size 300
part swap --size 400
part /afscache --size 200
part /usr --size 2900 --grow
mouse generic3ps/2
timezone America/New_York
rootpw --iscrypted $1$1cy18ye8$CRlPpM/M4TCcPjQ1.xkuf/
auth --nisdomain ms.com --useshadow
lilo --location mbr
%packages
@ Everything
%post

	

Actual Results:  anaconda bails out saying that 2 arguments were expected,
but three were passed. Although I cannot figure out which line item this
problem is coming from.

Expected Results:  anaconda should complete kickstart installation

Additional info:
Comment 1 Brent Fox 2001-07-10 01:18:19 EDT
Take out the 'zerombr' line.  Does that help?  I think that option may no longer
be valid.
Comment 2 Mike Sklar 2001-07-10 10:29:25 EDT
The 'zerombr yes' removal was helpful. I'm curious why ksconfig-1.2-1 that ships
with redhat 7.1 still puts uses that zerombr in its generated ks.cfg files.

Right now the machine will build using ks.cfg, but I've found two more issues.

1) Choosing to skip the X-configuration will cause the install to bail. No error
messages :(.

2) I am still prompted for lanuages even though 'lang en_US' exists in the
ks.cfg. Perhaps that syntax has changed as well.

Comment 3 Mike Sklar 2001-07-12 15:45:05 EDT
So...I've realized that without the zerombr option I cannot get lilo going from
the MBR. The machine dies on boot just printing the LI to the screen and no
further. (this is after a complete kickstart).

I checked the rawhide anaconda rpms.
anaconda-runtime-7.1.91-0.200106281653
anaconda-7.1.91-0.200106281653

They still seem to honor the zerombr in the ks.cfg. I assume this is just some
sort of logical/syntax error in the code. Perhaps you guys have observed some of
this for yourselves.
Comment 4 Jeremy Katz 2001-07-13 18:29:34 EDT
As usual, rawhide is on a "you get to keep the pieces basis"...  

Anyway,  large parts of anaconda have been overhauled and we're still
reconnecting pieces.  
1) zerombr still isn't hooked back up yet (but doesn't traceback anymore)
2) x config should ask you questions if you don't specify anything related to X
configuration -- if you want no X configuration, please use the skipx directive
3) There is a new langsupport directive for configuring language support.  Use 
   langsupport --default en_US <list of languages to install> 
If you leave out the list, it will install for all.

Leaving open until I fix zerombr just as a reminder.  Also, you may be
interested in the 'bootloader' directive which is a much more generic one than
lilo (as lilo installation was broken in that anaconda release and fixed since)
Comment 5 Mike Sklar 2001-07-16 16:07:56 EDT
The above suggestions about the ks.cfg have worked out quite well with the July
13th rawhide release. Feel free to close this case.

My current ks.cfg is:

lang en_US
langsupport --default en_US
keyboard us
network --bootproto static --ip 144.14.217.214 --netmask 255.255.255.128
--gateway 144.14.217.129 --nameserver 144.14.36.134
nfs --server 144.14.36.223 --dir /vol/vol2/home/distributions/rawhide
device ethernet 3c90x
install
firewall --disabled
clearpart --all
part /boot --size 15
part / --size 300
part /var --size 300
part swap --size 400
part /afscache --size 200
part /usr --size 3000 --grow
skipx
mouse generic3ps/2
timezone America/New_York
rootpw --iscrypted $1$1cy18ye8$CRlPpM/M4TCcPjQ1.xkuf/
auth --nisdomain ms.com --useshadow
lilo --location mbr
zerombr yes
%packages
@ Everything
Comment 6 Jeremy Katz 2001-07-22 01:29:23 EDT
zerombr support should work again now with current cvs

Note You need to log in before you can comment on or make changes to this bug.